//定义ID,参数数组arguments[0]
function $(objID) {
  return document.getElementById(objID)
}
//页面加载调用行为函数
window.$loads = new Array()
window.$load = function(func,arg){
	window.$loads[window.$loads.length] = [func,(arg) ? arg : ""];
}
window.onload = function(){
	for(var i=0; i < window.$loads.length; i++){
		var func = window.$loads[i][0];
		func(window.$loads[i][1])
	}
}
//预先载入图片
function newImage(arg){
     if (document.images) {
          rslt = new Image();
          rslt.src = arg;
          return rslt;
     }
}
function Trim(TRIM_VALUE){
	if(TRIM_VALUE.length < 1){
		return"";
	}
	TRIM_VALUE = RTrim(TRIM_VALUE);
	TRIM_VALUE = LTrim(TRIM_VALUE);
	if(TRIM_VALUE==""){
		return "";
	}
	else{
		return TRIM_VALUE;
	}
}
function RTrim(VALUE){
	var w_space = String.fromCharCode(32);
	var v_length = VALUE.length;
	var strTemp = "";
	if(v_length < 0){
		return"";
	}
	var iTemp = v_length -1;
	while(iTemp > -1){
		if(VALUE.charAt(iTemp) == w_space){
		}
		else{
			strTemp = VALUE.substring(0,iTemp +1);
			break;
		}
		iTemp = iTemp-1;
	}
	return strTemp;
}
function LTrim(VALUE){
	var w_space = String.fromCharCode(32);
	if(v_length < 1){
		return"";
	}
	var v_length = VALUE.length;
	var strTemp = "";
	var iTemp = 0;
	while(iTemp < v_length){
		if(VALUE.charAt(iTemp) == w_space){
			}
			else{
				strTemp = VALUE.substring(iTemp,v_length);
				break;
		}
		iTemp = iTemp + 1;
	} //End While
	return strTemp;
}
